Name:           xsel
Version:        1.2.0
Release:        %mkrel 9
Summary:        Command line clipboard and X selection tool
Group:          System/X11
License:        MIT
URL:            http://www.vergenet.net/~conrad/software/xsel/
Source0:        http://www.vergenet.net/~conrad/software/xsel/download/xsel-%{version}.tar.gz
# Applied upstream (BZ#690214)
Patch0:         xsel-1.2.0-MAX_NUM_TARGETS.patch
# Patches for rhbz#1529894, taken from https://github.com/kfish/xsel/pull/16
Patch3:         xsel-1.2.0-do-not-terminate-string.patch
Patch4:         xsel-1.2.0-send-correct-event.patch
# TODO: forward upstream
Patch5:         xsel-1.2.0-fix-buffer-overflow.patch
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xext)

%description
XSel is a command line or script utility, similar to xclip, that can copy the
primary and secondary X selection, or any highlighted text, to or from a file,
stdin or stdout. It can also append to and delete the clipboard or buffer that
you would paste with the middle mouse button.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING README
%{_mandir}/man1/xsel.1*
%{_bindir}/xsel



%changelog
* Sat Feb 22 2020 daviddavid <daviddavid> 1.2.0-9.mga8
+ Revision: 1549244
- add fedora patches to fix build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-8.mga7
+ Revision: 1301974
- Mageia 7 Mass Rebuild

* Wed Jan 20 2016 daviddavid <daviddavid> 1.2.0-7.mga6
+ Revision: 926007
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 744756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 690772
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 520794
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 387396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 stormi <stormi> 1.2.0-2.mga1
+ Revision: 97672
- fix RPM group

* Fri May 06 2011 misc <misc> 1.2.0-1.mga1
+ Revision: 95539
- adapt BuildRequres to mageia
- imported package xsel


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 1.2.0-1.mga
- adapt to Mageia from Fedora

* Thu Apr 07 2011 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.0-8
- xsel-1.2.0-MAX_NUM_TARGETS.patch: fix xsel overflow of supported_targets array
  (BZ#690214 - Thanks Hans de Goede)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 08 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.0-4
- retag for F-8, missing spec file

* Sat Jul 26 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.0-3
- file section to catch all man compressions & no compressions

* Sat Apr 19 2008 Henry Kroll <nospam[AT]thenerdshow.com> - 1.2.0-2
- Standardize build section, remove unnecessary CDEBUGFLAGS.
- Break up long lines, general cleanup.

* Sat Apr 12 2008 Henry Kroll <nospam[AT]thenerdshow.com> - 1.2.0-1
- Version upgrade
- Change license to MIT Old Style
- Fix URL, Requires, BuildRequires. 
- Change group to Applications/System re: xclip. Include keywords
 in the description to make it easier to find.

* Thu Mar 20 2008 Henry Kroll <nospam[AT]thenerdshow.com> - 1.1.0-1
- RPM test build
